Bug 5063 - Default font for vim-gtk2
: Default font for vim-gtk2
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vim-common)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-25 12:51 by
Modified: 2005-08-30 12:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-25 12:51:56
Для GTK2 дефолтный фонт надо вытсалвять примерно так:

set guifont=Fixed\ 10
------- Comment #1 From 2004-08-26 09:54:14 -------
С одной стороны, сам шрифт менее симпатичен, чем текущий (по крайней мере на
1600x1200@100dpi).  С другой стороны, на localhost он вроде даже
кириллизованный
подхватывается, в отличие от...
------- Comment #2 From 2004-08-26 10:02:44 -------
(In reply to comment #1)
> С одной стороны, сам шрифт менее симпатичен, чем текущий

Er... Там сейчас _нет_ текущего. Зависит от настроек fontconfig.
------- Comment #3 From 2004-08-26 10:35:54 -------
(In reply to comment #0)
> Для GTK2 дефолтный фонт надо вытсалвять примерно так:
> 
> set guifont=Fixed\ 10

За что, собственно, и боролись в bug #3889. Правда, у меня при guifont=Fixed\ 10
строка статуса пишется шрифтом с засечками :-(

(In reply to comment #1)
> С одной стороны, сам шрифт менее симпатичен, чем текущий (по крайней мере
> на 1600x1200@100dpi).  С другой стороны, на localhost он вроде даже 
> кириллизованный подхватывается, в отличие от...

Насчёт "симпатичности" - мне несимпатично любое нефунциональное явление.
Антиалиасинг шрифтов, когда от него устают глаза - нефункционален абсолютно.

Fixed в кодировке ISO10646-1 входит в пакет XFree86. Кто подхватывается
некириллизованным?

А вообще, я даже не берусь утверждать, что "Sans 12" (он же вроде по умолчанию?)
у всех одинаков, ибо он является алиасом, который сильно зависит от fontconfig и
установленных шрифтов. Пока я писал комментарий, Sir Raorn меня опередил ;-)
------- Comment #4 From 2004-08-26 10:55:00 -------
(In reply to comment #1)
> С одной стороны, сам шрифт менее симпатичен, чем текущий (по крайней мере на
> 1600x1200@100dpi).
Не знаю, как у тебя, но у меня по дефолту какой-то ужас, огромный и с огромными 
промежутками между буквами.
------- Comment #5 From 2004-08-26 11:16:03 -------
(In reply to comment #4)
> Не знаю, как у тебя, но у меня по дефолту какой-то ужас, огромный и с огромными 
> промежутками между буквами.

Вот я и говорю - надо один раз выбрать дефолтный фонт, который на первый взгляд
устроит всех, т.е. будет выглядеть умеренно уродливо в дефолтной конфигурации
fontconfig/gtk+2/vim. Также в этой ситуации не надо забывать про тему gtk+2, не
знаю правда влияют ли они на настройки vim...
------- Comment #6 From 2004-08-26 11:57:27 -------
(In reply to comment #3)
> За что, собственно, и боролись в bug #3889. Правда, у меня при guifont=Fixed\ 
10
> строка статуса пишется шрифтом с засечками :-(
У меня нормально.

> А вообще, я даже не берусь утверждать, что "Sans 12" (он же вроде по 
умолчанию?)
Кстати да, у меня описанная выше гадость - это Sans 10.
------- Comment #7 From 2004-09-06 01:39:15 -------
Fixed in 6.3.025-alt1